/*
 * Created by yvesb on 20/03/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CCentreGravite = require('../objets/CCentreGravite')
const CPt = require('../objets/CPt')
const kernel = require('../kernel/kernel')
module.exports = CCentreGravite

CCentreGravite.prototype.infoHist = function () {
  return this.nom + ' : ' + kernel.getStr('CentreGrav') + ' ' + kernel.getStr('de') + ' ' + this.point1.nom +
    this.point2.nom + this.point3.nom
}

CCentreGravite.prototype.depDe4Rec = function (p) {
  if (this.elementTestePourDependDePourRec === p) return this.dependDeElementTestePourRec
  return this.memDep4Rec(CPt.prototype.depDe4Rec.call(this, p) ||
    this.point1.depDe4Rec(p) ||
    this.point2.depDe4Rec(p) ||
    this.point3.depDe4Rec(p))
}

CCentreGravite.prototype.estDefiniParObjDs = function (listeOb) {
  return this.point1.estDefPar(listeOb) &&
  this.point2.estDefPar(listeOb) &&
  this.point3.estDefPar(listeOb)
}
