/*
 * Created by yvesb on 20/03/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CIntCercleCercle = require('../objets/CIntCercleCercle')
const CBipoint = require('../objets/CBipoint')
const kernel = require('../kernel/kernel')
module.exports = CIntCercleCercle

CIntCercleCercle.prototype.infoHist = function () {
  return kernel.getStr('chinfo193') + ' ' + this.c1.nom + ' ' + kernel.getStr('chinfo194') + ' ' + this.c2.nom
}

CIntCercleCercle.prototype.depDe4Rec = function (p) {
  if (this.elementTestePourDependDePourRec === p) return this.dependDeElementTestePourRec
  return this.memDep4Rec(CBipoint.prototype.depDe4Rec.call(this, p) ||
    this.c1.depDe4Rec(p) || this.c2.depDe4Rec(p))
}

CIntCercleCercle.prototype.estDefiniParObjDs = function (listeOb) {
  return this.c1.estDefPar(listeOb) &&
  this.c2.estDefPar(listeOb)
}
