/*
 * Created by yvesb on 30/05/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CMacroDecrementationVariable = require('../objets/CMacroDecrementationVariable')
const kernel = require('../kernel/kernel')
const MacIncDecVarDlg = require('../dialogs/MacIncDecVarDlg')

module.exports = CMacroDecrementationVariable

CMacroDecrementationVariable.prototype.infoHist = function () {
  return this.nom + ' : ' + kernel.getStr('chinfo122') + ' ' + kernel.getStr('chinfo122Bis') +
    ' ' + this.variableAssociee.nomCalcul
}

CMacroDecrementationVariable.prototype.modifDlg = function (app, callBack1, callBack2) {
  new MacIncDecVarDlg(app, false, this, true, callBack1, callBack2)
}
