/*
 * Created by yvesb on 28/11/2016.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */

const CPartieImaginaire = require('../objets/CPartieImaginaire')
const kernel = require('../kernel/kernel')
const PartieReelleDlg = require('../dialogs/PartieReelleDlg')

module.exports = CPartieImaginaire

CPartieImaginaire.prototype.infoHist = function () {
  var ch = this.getNom() + ' : ' + kernel.getStr('PartieImaginaire') + ' ' + kernel.getStr('chinfo107') + ' ' + this.complexeAssocie.getNom()
  if (this.existe) ch = ch + '\n' + kernel.getStr('chinfo97') + ' ' + kernel.chaineNombre(this.resultat, 12)
  else ch = ch + '\n' + kernel.getStr('ch18')
  return ch
}

CPartieImaginaire.prototype.modifDlg = function (app, callBack1, callBack2) {
  new PartieReelleDlg(app, this, 2, true, callBack1, callBack2)
}
