/*
 * Created by yvesb on 28/11/2016.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */

const CSuiteRecComplexe2 = require('../objets/CSuiteRecComplexe2')
const kernel = require('../kernel/kernel')
const SuiteRecDlg = require('../dialogs/SuiteRecDlg')
module.exports = CSuiteRecComplexe2

CSuiteRecComplexe2.prototype.infoHist = function () {
  return this.nomCalcul + ' : ' + kernel.getStr('SuiteRecComplexe2') + '\n' + kernel.getStr('chinfo84') + ' ' + this.fonctionAssociee.getNom() + '\n' +
    kernel.getStr('PremTerm') + ' ' + this.premierTerme.chaineInfo() + '\n' +
    kernel.getStr('chinfo86') + ' ' + this.nombreTermes.chaineInfo()
}

CSuiteRecComplexe2.prototype.modifiableParMenu = function () {
  return !this.estElementFinal
}

CSuiteRecComplexe2.prototype.modifDlg = function (app, callBack1, callBack2) {
  new SuiteRecDlg(app, this, 2, false, true, callBack1, callBack2)
}
