/*
 * Created by yvesb on 10/01/2017.
 */
/**
 * Outil servant à créer un carré direct en cliquant sur deux points
 * Hérite de OutilArcPetitParAng donc inutile de redéfinir actionApresDlgOK
 * @param app L'application propriétaire
 * @constructor
 */
const CValeurAngle = require('../objets/CValeurAngle')
const CGrandArcDeCercle = require('../objets/CGrandArcDeCercle')
const AngleArcDlg = require('../dialogs/AngleArcDlg')
const CConstante = require('../objets/CConstante')
const OutilArcPetitParAng = require('../outils/OutilArcPetitParAng')
module.exports = OutilArcGrandParAng

function OutilArcGrandParAng (app) {
  OutilArcPetitParAng.call(this, app, 'ArcGrandParAng', 32796, true)
}

OutilArcGrandParAng.prototype = new OutilArcPetitParAng()

OutilArcGrandParAng.prototype.creeObjet = function () {
  var app = this.app
  var self = this
  // if (app.lastDlgId() === "angleArcDlg") return;
  var li = app.listePr
  var ang = new CValeurAngle(li, new CConstante(li, 1))
  this.arc = new CGrandArcDeCercle(li, null, false, app.getCouleur(), false, app.getStyleTrait(), this.point1, this.point2, null, ang)
  new AngleArcDlg(this.app, this.arc, false, function () { self.actionApresDlgOK() }, function () { self.reselect() })
}
