/*
 * Created by yvesb on 02/12/2016.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const CCalcMat = require('../objets/CCalcMat')
const CalcMatDlg = require('../dialogs/CalcMatDlg')
const NatCal = require('../types/NatCal')
const Nat = require('../types/Nat')
module.exports = OutilCalculMat

function OutilCalculMat (app) {
  Outil.call(this, app, 'CalculMat', 32047)
}
OutilCalculMat.prototype = new Outil()

OutilCalculMat.prototype.select = function () {
  Outil.prototype.select.call(this)
  var calc = new CCalcMat(this.app.listePr, null, false, '', '', null)
  new CalcMatDlg(this.app, calc, false, null, null)
  this.app.activeOutilCapt()
}

OutilCalculMat.prototype.activationValide = function () {
  var list = this.app.listePr
  return (list.nombreObjetsCalcul(Nat.or(NatCal.NTteMatrice, NatCal.NTteValR)) > 0)
}
