/*
 * Created by yvesb on 18/01/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const CFoncComplexe = require('../objets/CFoncComplexe')
const FonctionDlg = require('../dialogs/FonctionDlg')
module.exports = OutilFoncComp

function OutilFoncComp (app) {
  Outil.call(this, app, 'FoncComp', 33134)
}
OutilFoncComp.prototype = new Outil()

OutilFoncComp.prototype.select = function () {
  Outil.prototype.select.call(this)
  var fonc = new CFoncComplexe(this.app.listePr, null, false, '', '', 'z')
  new FonctionDlg(this.app, fonc, false, false, null, null)
  this.app.activeOutilCapt()
}
