/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
module.exports = OutilSave
/**
 * Outil servant à modifier un objet qui a été créé par un menu
 * @param app L'application propriétaire
 * @constructor
 */
function OutilSave (app) {
  Outil.call(this, app, 'Save', -1, false, false, app.save) // Le dernier false car l'outil n'est pas sélectionnable
}

OutilSave.prototype = new Outil()

/* Cette fonction a été transférée dans outilsWithElectron/outilSaveAdd ou outilsWithoutElectron/outilSaveAdd
OutilSave.prototype.select = function() {
  var app = this.app;
  if (app.functionOnSave) {
    try {
      app.functionOnSave();
    }
    catch (e) {}
  }
  else new SaveDlg(this.app);
}
*/

// select est défini dans OutilsWithElectron/outilSave ou dans OutilsWithoutElectron/outilSave
// suivant qu'on compile avec --electron ou non
