/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
module.exports = OutilSaveSVG
/**
 * Outil servant à modifier un objet qui a été créé par un menu
 * @param app L'application propriétaire
 * @constructor
 */
function OutilSaveSVG (app) {
  Outil.call(this, app, '', 'SaveSVG', -1, false, false) // Le dernier false car l'outil n'est pas sélectionnable
}

OutilSaveSVG.prototype = new Outil()

// select est défini dans OutilsWithElectron/OutilSaveSVG ou dans OutilsWithoutElectron/OutilSaveSVG
// suivant qu'on compile avec --electron ou non
