/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const OutilSave = require('../outils/OutilSave')
module.exports = OutilSave

OutilSave.prototype.select = function () {
  var app = this.app
  if (app.functionOnSave) {
    try {
      app.functionOnSave()
    } catch (e) {}
  } else {
    saveForIcon() // eslint-disable-line no-undef
    app.doc.setDirty(false)
    app.activeOutilCapt()
  } // saveForIcon est une fonction globale de la page index.html pour la version electron
}
