/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */

/**
 * Contient les textes utilisés dans le logiciel en langue espagnole.
 * @type {Textes}
 * @private
 */
const textesEs = {
  step: 'paso',
  var1: 'Nuevo valor para la variable ',
  var2: 'Entre un valor comprendido entre ',
  et: ' y ',
  incorrect: 'Entrada incorrecta',
  // Chaînes servant suivant la langue à reconstruire les formules mathématiques
  abs: 'abs',
  intgr: 'int',
  sqrt: 'sqrt',
  rac: 'rac',
  sin: 'sen',
  cos: 'cos',
  tan: 'tan',
  ln: 'ln',
  lnlat: '\\ln',
  exp: 'exp',
  arctan: 'arctan',
  arctanlat: '\\arctan',
  arccos: 'arccos',
  arccoslat: '\\arccos',
  arcsin: 'arcsen',
  arcsinlat: '\\arcsin',
  ch: 'cosh',
  chlat: '\\cosh',
  sh: 'senh',
  shlat: '\\sinh',
  th: 'tanh',
  thlat: '\\tanh',
  argch: 'argcosh',
  argsh: 'argsenh',
  argth: 'argtanh',
  rand: 'rand',
  conj: 'conj',
  arg: 'arg',
  re: 're',
  im: 'im',

  maxi: 'máx',
  mini: 'mín',
  gcd: 'mcd',
  lcm: 'mcm',
  ncr: 'nCr',
  npr: 'nPr',
  mod: 'mod',
  si: 'si',
  integrale: 'integral',
  primitive: 'primitiva',
  fact: 'fact',
  somme: 'suma',
  produit: 'producto',
  left: 'izquierda',
  right: 'derecha',
  transp: 'transp',
  deter: 'deter',
  dotmult: 'dotmult',
  inv: 'inv',
  frac: 'frac'
}

module.exports = textesEs
