/*
 * Created by yvesb on 22/05/2017.
 */
const kernel = require('./kernel')
const textLoadMtgApp = {
  initTextes: function (language, callBack) {
    kernel.textes = {}
    const s = language === '' ? kernel.userLan() : language
    if (s === 'fr') {
      require.ensure(['../textes/textesFr'], function () {
        Object.assign(kernel.textes, require('../textes/textesFr'))
        require.ensure(['../textes/textesFrAdd'], function () {
          Object.assign(kernel.textes, require('../textes/textesFrAdd'))
          callBack()
        })
      })
    } else
    if (s === 'es') {
      require.ensure(['../textes/textesEs'], function () {
        Object.assign(kernel.textes, require('../textes/textesEs'))
        require.ensure(['../textes/textesEsAdd'], function () {
          Object.assign(kernel.textes, require('../textes/textesEsAdd'))
          callBack()
        })
      })
    } else {
      require.ensure(['../textes/textesEn'], function () {
        Object.assign(kernel.textes, require('../textes/textesEn'))
        require.ensure(['../textes/textesEnAdd'], function () {
          Object.assign(kernel.textes, require('../textes/textesEnAdd'))
          callBack()
        })
      })
    }
  }
}

module.exports = textLoadMtgApp
