/*
 * Created by yvesb on 20/03/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */

const CAppelFonctionNVar = require('../objets/CAppelFonctionNVar')
const CCb = require('../objets/CCb')
module.exports = CAppelFonctionNVar

CAppelFonctionNVar.prototype.depDe4Rec = function (p) {
  var res = CCb.prototype.depDe4Rec.call(this, p)
  for (var i = 0; i < this.nbVar; i++) res = res || this.operande[i].depDe4Rec(p)
  return this.memDep4Rec(this.fonctionAssociee.depDe4Rec(p) || res)
}

CAppelFonctionNVar.prototype.estDefiniParObjDs = function (listeOb) {
  var res = this.fonctionAssociee.estDefPar(listeOb)
  for (var i = 0; i < this.nbVar; i++) res = res && this.operande[i].estDefiniParObjDs(listeOb)
  return res
}

// Ajout version 6.3.0. Utilisé pour les créations de contructions
CAppelFonctionNVar.prototype.estConstantPourConst = function () {
  var res = this.fonctionAssociee.estConstant()
  for (var i = 0; i < this.nbVar; i++) res = res && this.operande[i].estConstant()
  return res
}
