/*
 * Created by yvesb on 21/03/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CIntDroiteCercle = require('../objets/CIntDroiteCercle')
const CBipoint = require('../objets/CBipoint')
const kernel = require('../kernel/kernel')
module.exports = CIntDroiteCercle

CIntDroiteCercle.prototype.infoHist = function () {
  return kernel.getStr('chinfo193') + ' ' + this.d.getNom() + ' ' + kernel.getStr('chinfo194') + ' ' + this.c.nom
}

CIntDroiteCercle.prototype.depDe4Rec = function (p) {
  if (this.elementTestePourDependDePourRec === p) return this.dependDeElementTestePourRec
  return this.memDep4Rec(CBipoint.prototype.depDe4Rec.call(this, p) ||
    this.d.depDe4Rec(p) || this.c.depDe4Rec(p))
}

CIntDroiteCercle.prototype.estDefiniParObjDs = function (listeOb) {
  return this.d.estDefPar(listeOb) &&
  this.c.estDefPar(listeOb)
}
