/*
 * Created by yvesb on 30/05/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CMacroClignotement = require('../objets/CMacroClignotement')
const kernel = require('../kernel/kernel')
const MacClignDlg = require('../dialogs/MacClignDlg')
module.exports = CMacroClignotement

CMacroClignotement.prototype.infoHist = function () {
  return this.nom + ' : ' + kernel.getStr('chinfo132') + ' ' + this.listeAssociee.listeNoms()
}

CMacroClignotement.prototype.modifDlg = function (app, callBack1, callBack2) {
  new MacClignDlg(app, this, true, callBack1, callBack2)
}
