/*
 * Created by yvesb on 28/11/2016.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CMinFonc = require('../objets/CMinFonc')
const kernel = require('../kernel/kernel')
const MaxMinDlg = require('../dialogs/MaxMinDlg')
module.exports = CMinFonc

CMinFonc.prototype.description = function () {
  return kernel.getStr('chinfo177')
}

CMinFonc.prototype.modifDlg = function (app, callBack1, callBack2) {
  new MaxMinDlg(app, this, true, false, callBack1, callBack2)
}
