/*
 * Created by yvesb on 28/11/2016.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */

const COrdonneeOrigineRep = require('../objets/COrdonneeOrigineRep')
const kernel = require('../kernel/kernel')
const InfoRepDlg = require('../dialogs/InfoRepDlg')
module.exports = COrdonneeOrigineRep

COrdonneeOrigineRep.prototype.infoHist = function () {
  var ch = this.nomCalcul + ' : ' + kernel.getStr('chinfo179') + ' ' + kernel.getStr('chinfo32') + ' ' + this.rep.getNom()
  if (this.existe) ch = ch + '\n' + kernel.getStr('chinfo97') + ' ' + kernel.chaineNombre(this.abscisseOrigine, 12)
  else ch = ch + '\n' + kernel.getStr('ch18')
  return ch
}

/**
 * Fonction utilisée pour générer un nom pour le protocole de la figure
 * @returns : Le nom généré
 */
COrdonneeOrigineRep.prototype.genereNom = function () {
  COrdonneeOrigineRep.ind++
  return kernel.getStr('rordor') + COrdonneeOrigineRep.ind
}

COrdonneeOrigineRep.prototype.modifDlg = function (app, callBack1, callBack2) {
  new InfoRepDlg(app, this, 1, true, callBack1, callBack2)
}
