/*
 * Created by yvesb on 21/03/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CPointInterieurPolygone = require('../objets/CPointInterieurPolygone')
const CPointAncetrePointsMobiles = require('../objets/CPointAncetrePointsMobiles')
const kernel = require('../kernel/kernel')
module.exports = CPointInterieurPolygone

CPointInterieurPolygone.prototype.infoHist = function () {
  return this.nom + ' : ' + kernel.getStr('chinfo169') + ' ' + this.polygoneAssocie.nomSommetsPolygone()
}

CPointInterieurPolygone.prototype.depDe4Rec = function (p) {
  if (this.elementTestePourDependDePourRec === p) return this.dependDeElementTestePourRec
  return this.memDep4Rec(CPointAncetrePointsMobiles.prototype.depDe4Rec.call(this, p) ||
    this.polygoneAssocie.depDe4Rec(p))
}

CPointInterieurPolygone.prototype.estDefiniParObjDs = function (listeOb) {
  return this.polygoneAssocie.estDefPar(listeOb)
}
