/*
 * Created by yvesb on 10/10/2016.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CPointLieBipoint = require('../objets/CPointLieBipoint')
const CPt = require('../objetsAdd/CPtAdd')
module.exports = CPointLieBipoint

CPointLieBipoint.prototype.infoHist = function () {
  return this.nom + ' : ' + this.ptBipoint.info()
}

CPointLieBipoint.prototype.depDe4Rec = function (p) {
  if (this.elementTestePourDependDePourRec === p) return this.dependDeElementTestePourRec
  return this.memDep4Rec(CPt.prototype.depDe4Rec.call(this, p) ||
    this.ptBipoint.depDe4Rec(p))
}

CPointLieBipoint.prototype.antecedentDirect = function () {
  return this.ptBipoint
}

// Attention : Nom différentié par rapport à la version Java
CPointLieBipoint.prototype.appartientDroiteParDefinition = function (droite) {
  return CPt.prototype.appartientDroiteParDefinition.call(this, droite) || this.ptBipoint.estDefiniPar(droite)
}
// Attention : Nom différentié par rapport à la verrsion Java
CPointLieBipoint.prototype.appartientCercleParDefinition = function (cercle) {
  return CPt.prototype.appartientCercleParDefinition.call(this, cercle) || this.ptBipoint.estDefiniPar(cercle)
}

CPointLieBipoint.prototype.estDefiniParObjDs = function (listeOb) {
  return this.ptBipoint.estDefiniParObjDs(listeOb)
}
