/*
 * Created by yvesb on 10/10/2016.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CPointLiePoint = require('../objets/CPointLiePoint')
const CPt = require('../objets/CPt')
const kernel = require('../kernel/kernel')
module.exports = CPointLiePoint

CPointLiePoint.prototype.infoHist = function () {
  return this.nom + ' : ' + kernel.getStr('chinfo2') + ' ' + this.pointAssocie.nom
}

CPointLiePoint.prototype.depDe4Rec = function (p) {
  if (this.elementTestePourDependDePourRec === p) return this.dependDeElementTestePourRec
  return this.memDep4Rec(CPt.prototype.depDe4Rec.call(this, p) ||
    this.pointAssocie.depDe4Rec(p))
}

CPointLiePoint.prototype.lieA = function () {
  return this.pointAssocie
}

CPointLiePoint.prototype.estDefiniParObjDs = function (listeOb) {
  return this.pointAssocie.estDefPar(listeOb)
}
