/*
 * Created by yvesb on 28/11/2016.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CTestDependanceVariable = require('../objets/CTestDependanceVariable')
const kernel = require('../kernel/kernel')
const NatCal = require('../types/NatCalAdd')
const CCalculAncetre = require('../objets/CCalculAncetre')
module.exports = CTestDependanceVariable
const TestDepVarDlg = require('../dialogs/TestDepVarDlg')

CTestDependanceVariable.prototype.depDe4Rec = function (p) {
  if (this.elementTestePourDependDePourRec === p) return this.dependDeElementTestePourRec
  return this.memDep4Rec(CCalculAncetre.prototype.depDe4Rec.call(this, p) ||
    this.fonctionAssociee.depDe4Rec(p))
}

CTestDependanceVariable.prototype.infoHist = function () {
  var chvar = this.fonctionAssociee.estDeNatureCalcul(NatCal.NFonctionReelle1Variable) ? this.fonctionAssociee.chaineVariable
    : this.fonctionAssociee.chaineVariable[this.indiceVariable]
  var ch = this.getNom() + ' : ' + kernel.getStr('ch192') + ' ' + this.fonctionAssociee.getNom() +
    '\n' + kernel.getStr('ch191') + ' ' + chvar
  ch = ch + '\n' + kernel.getStr('chinfo97')
  if (this.resultat === 1) ch = ch + '1'; else ch = ch + '0'
  return ch
}

CTestDependanceVariable.prototype.modifiableParMenu = function () {
  return !this.estElementFinal
}

CTestDependanceVariable.prototype.modifDlg = function (app, callBack1, callBack2) {
  new TestDepVarDlg(app, this, true, callBack1, callBack2)
}

CTestDependanceVariable.prototype.estDefiniParObjDs = function (listeOb) {
  return this.fonctionAssociee.estDefPar(listeOb)
}
