/*
 * Created by yvesb on 28/11/2016.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CTestExistence = require('../objets/CTestExistence')
const kernel = require('../kernel/kernel')
const CCalculAncetre = require('../objets/CCalculAncetre')
const TestExistenceDlg = require('../dialogs/TestExistenceDlg')
module.exports = CTestExistence

CTestExistence.prototype.depDe4Rec = function (p) {
  if (this.elementTestePourDependDePourRec === p) return this.dependDeElementTestePourRec
  return this.memDep4Rec(CCalculAncetre.prototype.depDe4Rec.call(this, p) ||
    this.valeurAssociee.depDe4Rec(p))
}

CTestExistence.prototype.infoHist = function () {
  var ch = this.getNom() + ' : ' + kernel.getStr('TestExistence') + '\n' + kernel.getStr('chinfo92') + ' ' + this.valeurAssociee.getNom() +
    '\n' + kernel.getStr('chinfo97')
  if (this.valeurAssociee.existe) ch = ch + '1'; else ch = ch + '0'
  return ch
}

CTestExistence.prototype.modifiableParMenu = function () {
  return !this.estElementFinal
}

CTestExistence.prototype.modifDlg = function (app, callBack1, callBack2) {
  new TestExistenceDlg(app, this, true, callBack1, callBack2)
}

CTestExistence.prototype.estDefiniParObjDs = function (listeOb) {
  return this.valeurAssociee.estDefPar(listeOb)
}
