/*
 * Created by yvesb on 18/04/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
module.exports = OutilExportHTML
/**
 * Outil servant à modifier un objet qui a été créé par un menu
 * @param app L'application propriétaire
 * @constructor
 */
function OutilExportHTML (app) {
  Outil.call(this, app, '', 'ExportHTML', -1, false, false) // Le dernier false car l'outil n'est pas sélectionnable
}

OutilExportHTML.prototype = new Outil()

// select est défini dans OutilsWithElectron/OutilExportHTML ou dans OutilsWithoutElectron/OutilExportHTML
// suivant qu'on compile avec --electron ou non
