/*
 * Created by yvesb on 14/04/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const CFoncNVar = require('../objets/CFoncNVar')
const FonctionDlg = require('../dialogs/FonctionDlg')
module.exports = OutilFonc2Var

function OutilFonc2Var (app) {
  Outil.call(this, app, 'Fonc2Var', 32996)
}
OutilFonc2Var.prototype = new Outil()

OutilFonc2Var.prototype.select = function () {
  var app = this.app
  Outil.prototype.select.call(this)
  var fon = new CFoncNVar(app.listePr, null, false, '', '', ['x', 'y'], null)
  // Modifié version 6.4 pour que la touche F2 de rapple de l'outil précédent fonctionne
  // new FonctionDlg(app, fon, false, true, function() {app.activeOutilCapt()}, function() {app.activeOutilCapt()});
  new FonctionDlg(app, fon, false, true, null, null)
  app.activeOutilCapt()
}
