/*
 * Created by yvesb on 23/04/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const NatObj = require('../types/NatObj')

module.exports = OutilFusionImpConst

function OutilFusionImpConst (app) {
  // Attention : Pour cet outil le troisième pramètre est "GestionConst" pour que l'icône de app.outilGestionConst soit
  // désactivée quand on désactive l'outil (cet outil n'a pas d'icône)
  Outil.call(this, app, 'GestionConst', 33161)
}
OutilFusionImpConst.prototype = new Outil()

OutilFusionImpConst.prototype.select = function () {
  var app = this.app
  var list = app.listePr
  Outil.prototype.select.call(this)
  // IL faut détruire toutes les implémentations graphiques pour les recréer pour que l'ordre des objest graphiques
  // dans le SVG de la figure soit le bon
  list.fusionImpConst(app)
  app.reCreateDisplay()
  this.saveFig()
  this.app.activeOutilCapt()
}

OutilFusionImpConst.prototype.activationValide = function () {
  var list = this.app.listePr
  return (list.nombreObjetsParNatureVisibles(NatObj.NImpProto) > 0)
}
