/*
 * Created by yvesb on 23/04/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const CProduit = require('../objets/CProduit')
const NatCal = require('../types/NatCal')
const CValeur = require('../objets/CValeur')
const SomProdDlg = require('../dialogs/SomProdDlg')

module.exports = OutilProdInd

function OutilProdInd (app) {
  Outil.call(this, app, 'ProdInd', 33188, false, false)
}
OutilProdInd.prototype = new Outil()

OutilProdInd.prototype.select = function () {
  Outil.prototype.select.call(this)
  var list = this.app.listePr
  var part = new CProduit(list, null, false, '', null, null, new CValeur(list, 0), new CValeur(list, 0))
  new SomProdDlg(this.app, part, false, false, null, null)
  this.app.activeOutilCapt()
}

OutilProdInd.prototype.activationValide = function () {
  var list = this.app.listePr
  return (list.nombreObjetsCalcul(NatCal.NVariable) > 0)
}
