/*
 * Created by yvesb on 01/04/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const CSolutionEquation = require('../objets/CSolutionEquation')
const SolutionEqDlg = require('../dialogs/SolutionEqDlg')
const CValeur = require('../objets/CValeur')
const CConstante = require('../objets/CConstante')

module.exports = OutilSolutionEq

function OutilSolutionEq (app) {
  Outil.call(this, app, 'SolutionEq', 32989)
}
OutilSolutionEq.prototype = new Outil()

OutilSolutionEq.prototype.select = function () {
  Outil.prototype.select.call(this)
  var list = this.app.listePr
  var calc = new CSolutionEquation(this.app.listePr, null, false, '', new CValeur(list, 0), new CValeur(list, 0),
    new CValeur(list, 1), '', new CConstante(list, 0))
  new SolutionEqDlg(this.app, calc, false, null, null)
  this.app.activeOutilCapt()
}
