/*
 * Created by yvesb on 23/04/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const CTestEqNatOp = require('../objets/CTestEqNatOp')
const NatCal = require('../types/NatCal')
const TestEqNatOpDlg = require('../dialogs/TestEqNatOpDlg')

module.exports = OutilTestEqNatOp

function OutilTestEqNatOp (app) {
  Outil.call(this, app, 'TestEqNatOp', 32041)
}
OutilTestEqNatOp.prototype = new Outil()

OutilTestEqNatOp.prototype.select = function () {
  Outil.prototype.select.call(this)
  var list = this.app.listePr
  // var part = new CTestEqNatOp(list, null, false, "", null, null, true, false, new CValeur(list, 1), true);
  var part = new CTestEqNatOp(list, null, false, '', null, null)
  new TestEqNatOpDlg(this.app, part, false, null, null)
  this.app.activeOutilCapt()
}

OutilTestEqNatOp.prototype.activationValide = function () {
  var list = this.app.listePr
  return (list.nombreObjetsCalcul(NatCal.NCalcouFoncParFormule) >= 2)
}
