/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const OutilCodeBase64 = require('../outils/OutilCodeBase64')
const kernel = require('../kernel/kernel')
const AvertDlg = require('../dialogs/AvertDlg')
module.exports = OutilCodeBase64

OutilCodeBase64.prototype.select = function () {
  copyCodeBase64() // eslint-disable-line no-undef
  // copyCodeBase64 est une fonction globale de la page index.html pour la version electron
  new AvertDlg(this.app, kernel.getStr('CodeOK'))
}
