/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const OutilAddConst = require('../outils/OutilAddConst')
const AddConstDlg = require('../dialogs/AddConstDlg')
module.exports = OutilAddConst

/**
 * Fonction appelée par la version electron
 * mtgloader est une variable globale de la page principale index.html
 */
OutilAddConst.prototype.select = function () {
  var app = this.app
  new AddConstDlg(app)
  app.activeOutilCapt()
}
