/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
/**
 * Sert à définir les différents types de remplissage.
 * @typedef StyleRemplissage
 * @type {object}
 */
const StyleRemplissage = {
  quadrillageVertical: 0,
  quadrillageHorizontal: 1,
  quadrillage45Haut: 2,
  quadrillage45Bas: 3,
  quadrillagePlein: 4,
  quadrillagePleinTransp: 5
}
module.exports = StyleRemplissage
